///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class CategoryNewsDetail {
/*
{
  "color": "null",
  "emoji": "null",
  "id": 49,
  "name": "Tin tức sự kiện",
  "order": "null"
}
*/

  String? color;
  String? emoji;
  int? id;
  String? name;
  String? order;

  CategoryNewsDetail({
    this.color,
    this.emoji,
    this.id,
    this.name,
    this.order,
  });
  CategoryNewsDetail.fromJson(Map<String, dynamic> json) {
    color = json['color']?.toString();
    emoji = json['emoji']?.toString();
    id = json['id']?.toInt();
    name = json['name']?.toString();
    order = json['order']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['color'] = color;
    data['emoji'] = emoji;
    data['id'] = id;
    data['name'] = name;
    data['order'] = order;
    return data;
  }
}

class NewsDetailsAuthor {
/*
{
  "avatarUrl": null,
  "id": "249f81b8-93f6-48a6-90d7-691c6f141e8a",
  "name": "admin"
}
*/

  String? avatarUrl;
  String? id;
  String? name;

  NewsDetailsAuthor({
    this.avatarUrl,
    this.id,
    this.name,
  });
  NewsDetailsAuthor.fromJson(Map<String, dynamic> json) {
    avatarUrl = json['avatarUrl']?.toString();
    id = json['id']?.toString();
    name = json['name']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['avatarUrl'] = avatarUrl;
    data['id'] = id;
    data['name'] = name;
    return data;
  }
}

class NewsDetailsData {
/*
{
  "author": {
    "avatarUrl": null,
    "id": "249f81b8-93f6-48a6-90d7-691c6f141e8a",
    "name": "admin"
  },
  "category": "NEWS",
  "content": "<p>ưef</p>",
  "createdDate": 1652692306934,
  "id": 36,
  "imageUrl": "String",
  "language": "vi",
  "modifiedDate": 1652692543915,
  "title": "Liên Test 14 Liên Test 14 Liên Test 14 Liên Test 14 Liên Test 14",
  "types": [
    {
      "color": "null",
      "emoji": "null",
      "id": 49,
      "name": "Tin tức sự kiện",
      "order": "null"
    }
  ],
  "views": 2
}
*/

  String? author;
  String? category;
  String? content;
  int? createdDate;
  int? id;
  String? imageUrl;
  String? language;
  int? modifiedDate;
  String? title;
  List<CategoryNewsDetail?>? types;
  int? views;

  NewsDetailsData({
    this.author,
    this.category,
    this.content,
    this.createdDate,
    this.id,
    this.imageUrl,
    this.language,
    this.modifiedDate,
    this.title,
    this.types,
    this.views,
  });
  NewsDetailsData.fromJson(Map<String, dynamic> json) {
    author = json['author'].toString();
    category = json['category']?.toString();
    content = json['content']?.toString();
    createdDate = json['createdDate']?.toInt();
    id = json['id']?.toInt();
    imageUrl = json['imageUrl']?.toString();
    language = json['language']?.toString();
    modifiedDate = json['modifiedDate']?.toInt();
    title = json['title']?.toString();
    if (json['types'] != null) {
      final v = json['types'];
      final arr0 = <CategoryNewsDetail>[];
      v.forEach((v) {
        arr0.add(CategoryNewsDetail.fromJson(v));
      });
      types = arr0;
    }
    views = json['views']?.toInt();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['author'] = author;
    data['category'] = category;
    data['content'] = content;
    data['createdDate'] = createdDate;
    data['id'] = id;
    data['imageUrl'] = imageUrl;
    data['language'] = language;
    data['modifiedDate'] = modifiedDate;
    data['title'] = title;
    if (types != null) {
      final v = types;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v!.toJson());
      });
      data['types'] = arr0;
    }
    data['views'] = views;
    return data;
  }
}

class NewsDetailsResponse {
/*
{
  "fetchNewsById": {
    "author": {
      "avatarUrl": null,
      "id": "249f81b8-93f6-48a6-90d7-691c6f141e8a",
      "name": "admin"
    },
    "category": "NEWS",
    "content": "<p>ưef</p>",
    "createdDate": 1652692306934,
    "id": 36,
    "imageUrl": "String",
    "language": "vi",
    "modifiedDate": 1652692543915,
    "title": "Liên Test 14 Liên Test 14 Liên Test 14 Liên Test 14 Liên Test 14",
    "types": [
      {
        "color": "null",
        "emoji": "null",
        "id": 49,
        "name": "Tin tức sự kiện",
        "order": "null"
      }
    ],
    "views": 2
  }
}
*/

  NewsDetailsData? fetchNewsById;

  NewsDetailsResponse({
    this.fetchNewsById,
  });
  NewsDetailsResponse.fromJson(Map<String, dynamic> json) {
    fetchNewsById = (json['fetchNewsById'] != null)
        ? NewsDetailsData.fromJson(json['fetchNewsById'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchNewsById != null) {
      data['fetchNewsById'] = fetchNewsById!.toJson();
    }
    return data;
  }
}

class NewsDetails {
/*
{
  "data": {
    "fetchNewsById": {
      "author": {
        "avatarUrl": null,
        "id": "249f81b8-93f6-48a6-90d7-691c6f141e8a",
        "name": "admin"
      },
      "category": "NEWS",
      "content": "<p>ưef</p>",
      "createdDate": 1652692306934,
      "id": 36,
      "imageUrl": "String",
      "language": "vi",
      "modifiedDate": 1652692543915,
      "title": "Liên Test 14 Liên Test 14 Liên Test 14 Liên Test 14 Liên Test 14",
      "types": [
        {
          "color": "null",
          "emoji": "null",
          "id": 49,
          "name": "Tin tức sự kiện",
          "order": "null"
        }
      ],
      "views": 2
    }
  }
}
*/

  NewsDetailsResponse? data;

  NewsDetails({
    this.data,
  });
  NewsDetails.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null)
        ? NewsDetailsResponse.fromJson(json['data'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
